> ## Documentation Index
> Fetch the complete documentation index at: https://documents.trocco.io/llms.txt
> Use this file to discover all available pages before exploring further.
# 転送ジョブ一覧取得
> 転送設定を指定して転送ジョブの一覧を取得します。
## OpenAPI
````json GET /api/job_definitions/{job_definition_id}/jobs
{
"openapi": "3.0.3",
"info": {
"title": "trocco APIリファレンス",
"description": "trocco APIリファレンス",
"version": "0.0.1"
},
"servers": [
{
"url": "https://trocco.io"
}
],
"security": [
{
"ApiKeyAuth": []
}
],
"tags": [
{
"name": "users",
"description": "ユーザー",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-account-user"
}
},
{
"name": "teams",
"description": "チーム",
"externalDocs": {
"url": "https://documents.trocco.io/docs/team"
}
},
{
"name": "connections",
"description": "接続情報",
"externalDocs": {
"url": "https://documents.trocco.io/docs/connection-configurations"
}
},
{
"name": "custom_connectors",
"description": "カスタムコネクタ定義"
},
{
"name": "datamart_definitions",
"description": "データマート定義",
"externalDocs": {
"url": "https://documents.trocco.io/docs/data-mart"
}
},
{
"name": "environment_groups",
"description": "環境グループ"
},
{
"name": "environments",
"description": "環境"
},
{
"name": "jobs",
"description": "転送ジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/etl-configuration"
}
},
{
"name": "pipeline_jobs",
"description": "ワークフロージョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/about-workflow"
}
},
{
"name": "resource_groups",
"description": "リソースグループ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/resource-group"
}
},
{
"name": "dbt_git_repositories",
"description": "dbt Gitリポジトリ"
},
{
"name": "dbt_job_definitions",
"description": "dbtジョブ設定",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "dbt_jobs",
"description": "dbtジョブ",
"externalDocs": {
"url": "https://documents.trocco.io/docs/dbt-job-configuration"
}
},
{
"name": "notification_destinations",
"description": "通知先",
"externalDocs": {
"url": "https://documents.trocco.io/docs/trocco-tutorial-additional-settings"
}
}
],
"externalDocs": {
"description": "trocco APIについて",
"url": "https://documents.trocco.io/docs/trocco-api"
},
"paths": {
"/api/job_definitions/{job_definition_id}/jobs": {
"get": {
"summary": "転送ジョブ一覧取得",
"description": "転送設定を指定して転送ジョブの一覧を取得します。",
"operationId": "listJobs",
"tags": [
"jobs"
],
"parameters": [
{
"name": "job_definition_id",
"description": "転送設定IDを指定します。
\nTROCCO画面からIDを確認する場合は、[API実行時に指定する各種パラメーターの確認方法](https://documents.trocco.io/trocco-api/apidocs/overview#api%E5%AE%9F%E8%A1%8C%E6%99%82%E3%81%AB%E6%8C%87%E5%AE%9A%E3%81%99%E3%82%8B%E5%90%84%E7%A8%AE%E3%83%91%E3%83%A9%E3%83%A1%E3%83%BC%E3%82%BF%E3%83%BC%E3%81%AE%E7%A2%BA%E8%AA%8D%E6%96%B9%E6%B3%95)を参照ください。\n",
"in": "path",
"required": true,
"schema": {
"type": "integer",
"format": "int64"
},
"example": 123
},
{
"name": "start_time",
"description": "期間絞り込みの開始日時を指定します。
\n対象日時は転送ジョブ作成日時です。タイムゾーンには`time_zone`の値が使用されます。\n",
"in": "query",
"schema": {
"type": "string"
},
"example": "2020-01-01 00:00:00"
},
{
"name": "end_time",
"description": "期間絞り込みの終了日時を指定します。
\n対象日時は転送ジョブ作成日時です。タイムゾーンには`time_zone`の値が使用されます。\n",
"in": "query",
"schema": {
"type": "string"
},
"example": "2020-01-01 12:00:00"
},
{
"name": "time_zone",
"description": "タイムゾーンを指定します。
\n`start_time`と`end_time`で指定する日時に適用されます。指定できる値は、[タイムゾーン(time_zone)](https://documents.trocco.io/trocco-api/apidocs/overview#%E3%82%BF%E3%82%A4%E3%83%A0%E3%82%BE%E3%83%BC%E3%83%B3%EF%BC%88timezone%EF%BC%89)を参照ください。\n",
"in": "query",
"schema": {
"type": "string",
"default": "Asia/Tokyo"
},
"example": "Etc/UTC"
},
{
"name": "limit",
"description": "取得する転送ジョブの最大件数を指定します。",
"in": "query",
"schema": {
"type": "integer",
"format": "int64",
"maximum": 100,
"default": 50
},
"example": 50
},
{
"name": "cursor",
"description": "取得する転送ジョブ一覧の最初のレコードを示すページネーションカーソルを指定します。
\nレスポンスに含まれる`next_cursor`をセットすると、後続の転送ジョブ一覧を取得できます。\n",
"in": "query",
"schema": {
"type": "string"
}
}
],
"responses": {
"200": {
"description": "転送ジョブの一覧を返します。",
"content": {
"application/json": {
"schema": {
"allOf": [
{
"type": "object",
"properties": {
"items": {
"type": "array",
"items": {
"title": "JobListItem",
"type": "object",
"properties": {
"id": {
"type": "integer",
"format": "int64",
"description": "転送ジョブIDです。",
"example": 123
},
"status": {
"description": "転送ジョブのステータスです。\n- `queued` - 実行待機\n- `setting_up` - 実行準備\n- `executing` - 実行中\n- `interrupting` - 実行中断\n- `succeeded` - 実行完了(成功)\n- `error` - 実行完了(エラー)\n- `canceled` - 実行完了(キャンセル)\n- `skipped` - 実行完了(スキップ)\n- `timeout` - 実行完了(タイムアウト)\n",
"type": "string",
"enum": [
"queued",
"setting_up",
"executing",
"interrupting",
"succeeded",
"error",
"canceled",
"skipped",
"timeout"
],
"example": "executing"
},
"transfer_record": {
"description": "転送ジョブにより転送されたレコード数です。",
"type": "integer",
"format": "int64",
"example": 100
},
"transfer_byte": {
"description": "転送ジョブにより転送されたバイト数です。",
"type": "integer",
"format": "int64",
"example": 123456789
},
"skipped_row_count": {
"description": "スキップされたレコード数です。",
"type": "integer",
"format": "int64",
"example": 100
},
"context_time": {
"description": "時刻・日付(キューイング時)設定としたカスタム変数の展開日時です。タイムゾーンはJST 日本時間(GMT+9)です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"executor_type": {
"description": "転送ジョブ実行タイプです。\n- `manual` - 転送設定詳細画面、もしくは転送ジョブ詳細画面から実行\n- `scheduler` - 転送設定のスケジュール実行\n- `workflow` - ワークフローから実行\n- `api` - trocco APIから実行\n- `job_dependency` - 実行トリガーから実行\n\n2020年11月より前に作成された転送ジョブでは実行タイプが記録されていないため、この属性自体が返りません。\n",
"type": "string",
"enum": [
"manual",
"scheduler",
"workflow",
"api",
"job_dependency"
],
"example": "scheduler"
},
"started_at": {
"description": "転送ジョブのステータスが**実行中**になった日時です。タイムゾーンはJST 日本時間(GMT+9)です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"finished_at": {
"description": "転送ジョブのステータスが**実行完了**になった日時です。タイムゾーンはJST 日本時間(GMT+9)です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
},
"created_at": {
"description": "転送ジョブの作成日時です。タイムゾーンはJST 日本時間(GMT+9)です。",
"type": "string",
"example": "2023-08-22T18:00:00+00:00"
}
},
"required": [
"id",
"status",
"transfer_record",
"transfer_byte",
"context_time",
"created_at"
]
}
}
}
},
{
"title": "Pagination",
"type": "object",
"properties": {
"next_cursor": {
"description": "後続のページネーションリクエストの取得開始レコードを示すカーソル値です。",
"type": "string"
}
}
}
]
}
}
}
},
"400": {
"description": "Bad request.
\n不正なリクエストです。\n"
},
"401": {
"description": "Not authenticated.
\n認証エラーです。API KEYをご確認ください。\n"
},
"404": {
"description": "Not found.
\n要求したリソースが見つかりません。\n"
}
}
}
}
},
"components": {
"securitySchemes": {
"ApiKeyAuth": {
"type": "apiKey",
"in": "header",
"name": "Authorization",
"description": "認証キーとなるAPI KEYをAuthorization: Token {{API KEY}}の形式でヘッダーにセットします。
\nAPI KEYがabc123の場合は、Authorization: Token abc123とします。
\nAPI KEYの作成方法は、TROCCO API KEYの作成を参照ください。\n"
}
}
}
}
````